varying vec2 vUv;
varying float uTime;
varying float uAmplitude;

void main() {
    vUv = uv;

    float time = uTime * 0.5;

    vec3 transformed = position;
    transformed.z += sin(position.y + position.x + time);

    gl_Position = projectionMatrix * modelViewMatrix * vec4(transformed, 1.0);
}